%global npm_name sntp

Summary:       SNTP Client
Name:          nodejs-%{npm_name}
Version:       1.0.9
Release:       2%{?dist}
License:       BSD
URL:           https://github.com/hueniverse/sntp
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
An SNTP v4 client (RFC4330) for node. 
Simpy connects to the NTP or SNTP server requested and returns 
the server time along with the roundtrip duration and clock offset. 
To adjust the local time to the NTP time, add the returned t offset 
to the local time.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc examples LICENSE Makefile README.md test
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 1.0.9-2
- Fix License

* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 1.0.9-1
- Initial package
